]> arthur.barton.de Git - bup.git/blobdiff - cmd/random-cmd.py
Don't import * from helpers
[bup.git] / cmd / random-cmd.py
index 4be366063c18c2792baab50fc55606d03703c795..868c3afd3fcebf2a775bc7e5e5a0b63dfd31239b 100755 (executable)
@@ -1,7 +1,15 @@
-#!/usr/bin/env python
-import sys
+#!/bin/sh
+"""": # -*-python-*-
+bup_python="$(dirname "$0")/bup-python" || exit $?
+exec "$bup_python" "$0" ${1+"$@"}
+"""
+# end of bup preamble
+
+import os, sys
+
 from bup import options, _helpers
-from bup.helpers import *
+from bup.helpers import atoi, handle_ctrl_c, log, parse_num
+
 
 optspec = """
 bup random [-S seed] <numbytes>